> ## Documentation Index
> Fetch the complete documentation index at: https://docs.man0.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Read your account

> Read the signed-in account and its current consent status.



## OpenAPI

````yaml openapi.json GET /api/user
openapi: 3.0.3
info:
  title: Man0 API
  version: 1.0.0
  description: Man0 workflows, catalog, accounts and NEAR Intents.
servers:
  - url: https://api.man0.space
security: []
tags:
  - name: System
  - name: Accounts
  - name: Authentication
  - name: Catalog
  - name: Vibe and media
  - name: Workflows
  - name: Drafts
  - name: Execution
  - name: Analytics
  - name: NEAR accounts
  - name: Intents
paths:
  /api/user:
    get:
      tags:
        - Accounts
      summary: Read your account
      description: Read the signed-in account and its current consent status.
      operationId: user
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required or expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Permission or current consent required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Resource or policy changed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Request rate exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - man0Auth: []
components:
  schemas:
    User:
      allOf:
        - $ref: '#/components/schemas/CreatorProfile'
        - type: object
          properties:
            consented:
              type: boolean
          required:
            - consented
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        threadId:
          type: string
        missing:
          type: array
          items:
            $ref: '#/components/schemas/MissingConnectorRequirement'
        missingInputs:
          type: array
          items:
            $ref: '#/components/schemas/MissingInputRequirement'
      required:
        - error
    CreatorProfile:
      type: object
      properties:
        userAddress:
          type: string
        name:
          type: string
        bio:
          type: string
        image:
          nullable: true
          type: string
        banner:
          nullable: true
          type: string
        socials:
          type: array
          items:
            $ref: '#/components/schemas/SocialLink'
        wallets:
          $ref: '#/components/schemas/CreatorWallets'
      required:
        - userAddress
        - name
        - bio
        - image
        - banner
        - socials
    MissingConnectorRequirement:
      type: object
      properties:
        entryId:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - account
            - gated
        userAddress:
          type: string
        missingVars:
          type: array
          items:
            type: object
            properties:
              varName:
                type: string
              description:
                type: string
              obtainUrl:
                type: string
            required:
              - varName
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        requestId:
          type: string
      required:
        - entryId
        - slug
        - name
        - type
        - reason
    MissingInputRequirement:
      type: object
      properties:
        stepId:
          type: string
        stepLabel:
          type: string
        modelId:
          type: string
        modelName:
          type: string
        acceptedInputs:
          type: array
          items:
            type: string
        questions:
          type: array
          items:
            type: string
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        proposalId:
          type: string
      required:
        - stepId
        - stepLabel
        - acceptedInputs
        - reason
    SocialLink:
      type: object
      properties:
        platform:
          type: string
          enum:
            - x
            - discord
            - github
            - google
            - telegram
        handle:
          type: string
          minLength: 1
          maxLength: 120
        url:
          type: string
          maxLength: 512
          format: uri
        verified:
          type: boolean
        providerId:
          type: string
          maxLength: 160
      required:
        - platform
        - handle
        - url
    CreatorWallets:
      type: object
      properties:
        near:
          type: string
        evm:
          nullable: true
          type: string
        svm:
          nullable: true
          type: string
      required:
        - near
        - evm
        - svm
  securitySchemes:
    man0Auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Man0 authentication token returned by sign-in.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.